From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-themes/gentoo-xcursors/
Date: Sat, 30 Jul 2022 23:32:21 +0000 (UTC) [thread overview]
Message-ID: <1659223349.477015c0b557b557c8cd527b93fd5ba8d6b42000.sam@gentoo> (raw)
commit: 477015c0b557b557c8cd527b93fd5ba8d6b42000
Author: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea <DOT> de>
AuthorDate: Fri Jul 29 11:21:06 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Jul 30 23:22:29 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=477015c0
x11-themes/gentoo-xcursors: fix blocked symlink installation
A directory was replaced by a symlink but that does not work due to
bug #834600.
Straight to stable since the broken ebuild landed in stable and the
package isn't compiling anything.
Closes: https://bugs.gentoo.org/861785
Co-developed-by: John Duncan
Signed-off-by: Ronny (tastytea) Gutbrod <gentoo <AT> tastytea.de>
Signed-off-by: Sam James <sam <AT> gentoo.org>
.../gentoo-xcursors-0.3.2-r3.ebuild | 51 ++++++++++++++++++++++
1 file changed, 51 insertions(+)
diff --git a/x11-themes/gentoo-xcursors/gentoo-xcursors-0.3.2-r3.ebuild b/x11-themes/gentoo-xcursors/gentoo-xcursors-0.3.2-r3.ebuild
new file mode 100644
index 000000000000..a891f268b288
--- /dev/null
+++ b/x11-themes/gentoo-xcursors/gentoo-xcursors-0.3.2-r3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A high quality set of animated mouse cursors"
+HOMEPAGE="https://schlomp.space/tastytea/gentoo-xcursors"
+SRC_URI="https://schlomp.space/tastytea/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~s390 sparc x86"
+
+src_install() {
+ insinto /usr/share/icons
+ doins -r cursors/*
+
+ # Add symlinks in Gentoo-specific location for backwards compatibility, #848606
+ mkdir -p ${ED}/usr/share/cursors/xorg-x11 || die
+ cd ${ED}/usr/share/cursors/xorg-x11 || die
+ for cursorset in ../../icons/*; do
+ dosym ${cursorset} /usr/share/cursors/xorg-x11/${cursorset##*/}
+ done
+}
+
+pkg_preinst() {
+ # Needed until bug #834600 is solved
+ if [[ -n ${REPLACING_VERSIONS} ]] ; then
+ GENTOOCURSORS="${EROOT}/usr/share/cursors/xorg-x11"
+ if [[ -d "${GENTOOCURSORS}/gentoo" ]] ; then
+ rm -r "${GENTOOCURSORS}/gentoo" || die
+ fi
+ if [[ -d "${GENTOOCURSORS}/gentoo-blue" ]] ; then
+ rm -r "${GENTOOCURSORS}/gentoo-blue" || die
+ fi
+ if [[ -d "${GENTOOCURSORS}/gentoo-silver" ]] ; then
+ rm -r "${GENTOOCURSORS}/gentoo-silver" || die
+ fi
+
+ if [[ -L "${GENTOOCURSORS}"/gentoo.backup.0000 ]]; then
+ einfo "There are symlinks left from a previous failed upgrade."
+ einfo "Remove ${GENTOOCURSORS}/gentoo*.backup.* manually to get rid of them."
+ fi
+ fi
+}
+
+pkg_postinst() {
+ einfo "To use this set of cursors, consult <https://wiki.gentoo.org/wiki/Cursor_themes>."
+ einfo "The three sets installed are gentoo, gentoo-silver and gentoo-blue."
+}
next reply other threads:[~2022-07-30 23:32 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-07-30 23:32 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-07 16:25 [gentoo-commits] repo/gentoo:master commit in: x11-themes/gentoo-xcursors/ Arthur Zamarin
2022-08-11 10:55 Sam James
2022-07-30 23:32 Sam James
2022-07-26 15:24 Agostino Sarubbo
2022-07-26 15:15 Agostino Sarubbo
2022-06-12 7:33 Joonas Niilola
2022-06-12 7:33 Joonas Niilola
2021-04-26 20:33 Conrad Kostecki
2021-04-26 20:33 Conrad Kostecki
2020-06-24 20:13 Matt Turner
2020-06-24 17:22 Sergei Trofimovich
2020-06-15 15:16 Agostino Sarubbo
2020-06-15 15:12 Agostino Sarubbo
2020-06-15 15:08 Agostino Sarubbo
2020-06-15 15:06 Agostino Sarubbo
2020-06-15 15:03 Agostino Sarubbo
2020-06-15 15:00 Agostino Sarubbo
2020-05-22 2:40 Matt Turner
2020-05-22 2:40 Matt Turner
2019-12-05 23:21 Matt Turner
2019-10-11 4:42 Matt Turner
2019-10-11 4:32 Matt Turner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1659223349.477015c0b557b557c8cd527b93fd5ba8d6b42000.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox